"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const Box = require("../../node_modules/.pnpm/@mantine_core@7.15.2_patch_hash_jclkxeaefn6uz54h34k3r3yjsq_@mantine_hooks@7.15.2_react@18.3.1_szqfuioo5damkjdixckhzmwycq/node_modules/@mantine/core/esm/core/Box/Box.cjs");
const IconRightIndent02 = (props, ref) => {
  return /* @__PURE__ */ jsxRuntime.jsx(
    "svg",
    {
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      fill: "none",
      xmlns: "http://www.w3.org/2000/svg",
      strokeWidth: "1.5",
      ref,
      ...props,
      children: /* @__PURE__ */ jsxRuntime.jsx(
        "path",
        {
          d: "M8 6.16647H2M8 2.66647L2 2.66647M14 9.83314H2M14 13.3331H2M13.1467 1.97314L10.5689 3.90647C10.3759 4.05122 10.2794 4.12359 10.2449 4.21232C10.2147 4.29003 10.2147 4.37625 10.2449 4.45396C10.2794 4.54269 10.3759 4.61506 10.5689 4.75981L13.1467 6.69314C13.4213 6.89913 13.5586 7.00212 13.6736 6.99973C13.7736 6.99765 13.8674 6.95075 13.9291 6.87197C14 6.78145 14 6.60979 14 6.26647V2.39981C14 2.05649 14 1.88483 13.9291 1.79431C13.8674 1.71553 13.7736 1.66862 13.6736 1.66654C13.5586 1.66415 13.4213 1.76715 13.1467 1.97314Z",
          stroke: "currentColor",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          strokeWidth: "inherit"
        }
      )
    }
  );
};
const ForwardRef = React.forwardRef(IconRightIndent02);
const RightIndent02 = React.forwardRef((props, ref) => {
  if (typeof props.size === "number") {
    const { size, ...rest } = props;
    props = {
      ...rest,
      w: size,
      h: size
    };
  }
  return /* @__PURE__ */ jsxRuntime.jsx(
    Box.Box,
    {
      ref,
      ...props,
      component: ForwardRef,
      className: ["tiui-icon", "RightIndent02", props.className].join(" ")
    }
  );
});
RightIndent02.displayName = "IconRightIndent02";
exports.default = RightIndent02;
